List threat events
curl --request GET \
--url https://eris.platform.total.truu.ai/api/v1/external/threats \
--header 'X-API-Key: <api-key>'import requests
url = "https://eris.platform.total.truu.ai/api/v1/external/threats"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://eris.platform.total.truu.ai/api/v1/external/threats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"next_cursor": "<string>",
"data": [
{
"event_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "<string>",
"tuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"category": [
"<string>"
],
"subcategory": [
"<string>"
],
"title": "<string>",
"summary": "<string>",
"source": "<string>",
"source_table": "<string>",
"source_event_ids": [
"<string>"
],
"user_name": "<string>",
"user_email": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>",
"resource": "<string>",
"message": "<string>",
"details": "<string>",
"days_until_ready": 123,
"external_api_enabled_at_utc": "2023-11-07T05:31:56Z",
"now_utc": "2023-11-07T05:31:56Z"
}{
"error": "<string>"
}Threats
List threat events
GET
/
threats
List threat events
Authorizations
Domain-scoped API key. Generate and manage keys from the API Keys page in Settings.
Accepted in two forms:
X-API-Key: <key>header (preferred)Authorization: Bearer <key>header (also accepted)
Query Parameters
Filter by user email or UPN.
Filter by TOTAL user identifier. If combined with email, both must refer to the same user.
Filter when the stored category array contains this value.
Exact match on stored source identifier (freeform).
Required range:
x <= 200Threat event id from the last item of the previous page.
Was this page helpful?

